> ## Documentation Index
> Fetch the complete documentation index at: https://pleo-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Multi Currency Configuration

> We provide multi-currency support, which enables you to maintain multiple accounts with Pleo in different currencies. The multi-currency configuration in the Pleo application helps our customers to optimise foreign exchange and simplifies operations when they are working with revenue and spend in multiple currencies.

## Multi-Currency in Export API

`contraAccount` object is returned in the endpoint response of `GET https://external.pleo.io/v3/export-items`, when the expense is any of the following types and it impacts the account balance:

* `card_purchase`
* `fee`
* `cashback`
* `refund`
* `chargeback`
* `direct_reimbursement`
* `invoice_payment`
* `card_invoice`
* `atm_withdrawal`
* `personal_spend`
* `wallet_topup`
* `wallet_unload`

## Frequently Asked Questions

> **If a customer has activated multi-currency, can they still access the Export API version 2?**
>
> No, the version 2 `GET Get Export Items` endpoint returns `400: Bad Request` error and displays the following:
>
> ```json JSON theme={null}
> {
>   "type": "UNSUPPORTED_API_VERSION",
>   "message": "Upgrade to Export API v3 or higher: The API version you are trying to access does not support multi-currency wallets."
> }
> ```
>
> This ensures accurate bookkeeping, as when multi-currency configuration is enabled, the integration must access the Export API version 3 for the correct export of accounting entries from Pleo to the external ERP/accounting system.

> **Can an integration send a request to the Export API version 3 if multi-currency is not enabled?**
>
> Yes. Even if a customer has not activated multi-currency on Pleo, contra account, if configured, will be sent in V3 of `GET Get Export Items` endpoint. If contra accounts are not fully configured, then the endpoint will return status code `400` along with the following response body:
>
> ```json JSON theme={null}
> {
>   "type": "MISSING_CONTRA_ACCOUNTS",
>   "message": "Make sure you don't export EUR, USD expenses before you set your contra accounts."
> }
> ```
>
> This message will be based on export item currencies for which there is no contra account set.

> **What happens to an `in_progress` export job when `400: Bad Request` is returned in the `GET Get Export Items` endpoint?**
>
> You can configure the integration to either fail the corresponding export job or wait until it expires.
>
> > [!NOTE]
> >
> > **Note:** An export job expires after one hour since its last update (`lastUpdatedAt`).

## Export API Version 3 URLs

Production: [https://external.pleo.io](https://external.pleo.io) \

Staging: [https://external.staging.pleo.io](https://external.staging.pleo.io)

> [!NOTE]
>
> **Note:** In the endpoint specific paths, use `v3` instead of `v2`. For example, `POST https://external.pleo.io/v3/export-job-events`.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.